# This file was created automatically by SWIG.
import heatconductivityc
from ooflib.SWIG.engine.properties import PropertyPtr
class IsoHeatConductivityPropPtr(PropertyPtr):
    def __init__(self,this):
        self.this = this
        self.thisown = 0
    def __repr__(self):
        return "<C IsoHeatConductivityProp instance at %s>" % (self.this,)
class IsoHeatConductivityProp(IsoHeatConductivityPropPtr):
    def __init__(self,*_args,**_kwargs):
        self.this = apply(heatconductivityc.new_IsoHeatConductivityProp,_args,_kwargs)
        self.thisown = 1




class AnisoHeatConductivityPropPtr(PropertyPtr):
    def __init__(self,this):
        self.this = this
        self.thisown = 0
    def __repr__(self):
        return "<C AnisoHeatConductivityProp instance at %s>" % (self.this,)
class AnisoHeatConductivityProp(AnisoHeatConductivityPropPtr):
    def __init__(self,*_args,**_kwargs):
        self.this = apply(heatconductivityc.new_AnisoHeatConductivityProp,_args,_kwargs)
        self.thisown = 1




class HeatSourcePropPtr(PropertyPtr):
    def __init__(self,this):
        self.this = this
        self.thisown = 0
    def qdot(self, *_args, **_kwargs):
        val = apply(heatconductivityc.HeatSourceProp_qdot,(self,) + _args, _kwargs)
        return val
    def __repr__(self):
        return "<C HeatSourceProp instance at %s>" % (self.this,)
class HeatSourceProp(HeatSourcePropPtr):
    def __init__(self,*_args,**_kwargs):
        self.this = apply(heatconductivityc.new_HeatSourceProp,_args,_kwargs)
        self.thisown = 1






#-------------- FUNCTION WRAPPERS ------------------



#-------------- VARIABLE WRAPPERS ------------------



#-------------- USER INCLUDE -----------------------

# -*- python -*-
# $RCSfile: heatconductivity.spy,v $
# $Revision: 1.5 $
# $Author: vrc $
# $Date: 2007-09-26 22:03:21 $

# This software was produced by NIST, an agency of the U.S. government,
# and by statute is not subject to copyright in the United States.
# Recipients of this software assume all responsibilities associated
# with its operation, modification and maintenance. However, to
# facilitate maintenance we ask that before distributing modified
# versions of this software, you first contact the authors at
# oof_manager@ctcms.nist.gov. 


from ooflib.common import utils
from ooflib.common.IO import parameter
from ooflib.engine import problem
from ooflib.engine import propertyregistration
from ooflib.SWIG.engine import symmmatrix

PropertyRegistration = propertyregistration.PropertyRegistration

## ISOTROPIC

heatConductivity = PropertyRegistration(
    'Thermal:Conductivity:Isotropic',
    IsoHeatConductivityProp,
    "ooflib.SWIG.engine.property.heatconductivity.heatconductivity",
    ordering=98,
    params=[parameter.FloatParameter('kappa',
                                     1.0, tip=parameter.emptyTipString)],
    fields=[problem.Temperature],
    fluxes=[problem.Heat_Flux],
    propertyType="ThermalConductivity",
    tip="Isotropic thermal conductivity."
    )

## TRICLINIC

PropertyRegistration(
    'Thermal:Conductivity:Anisotropic:Triclinic',
    AnisoHeatConductivityProp,
    "ooflib.SWIG.engine.property.heatconductivity.heatconductivity",105,
    [symmmatrix.TriclinicRank2TensorParameter(
    'kappa',
    symmmatrix.TriclinicRank2Tensor(xx=1.0, yy=1.0, zz=1.0),
    tip=parameter.emptyTipString)],
    fields=[problem.Temperature], fluxes=[problem.Heat_Flux],
    propertyType="ThermalConductivity",
    tip="Triclinic thermal conductivity")

## MONOCLINIC

PropertyRegistration(
    'Thermal:Conductivity:Anisotropic:Monoclinic',
    AnisoHeatConductivityProp,
    "ooflib.SWIG.engine.property.heatconductivity.heatconductivity",104,
    [symmmatrix.MonoclinicRank2TensorParameter(
    'kappa',
    symmmatrix.MonoclinicRank2Tensor(xx=1.0, yy=1.0, zz=1.0),
    tip=parameter.emptyTipString)],
    fields=[problem.Temperature], fluxes=[problem.Heat_Flux],
    propertyType="ThermalConductivity",
    tip="Monoclinic thermal conductivity.")

## ORTHORHOMBIC

PropertyRegistration(
    'Thermal:Conductivity:Anisotropic:Orthorhombic',
    AnisoHeatConductivityProp,
    "ooflib.SWIG.engine.property.heatconductivity.heatconductivity",103,
    [symmmatrix.OrthorhombicRank2TensorParameter(
    'kappa',
    symmmatrix.OrthorhombicRank2Tensor(xx=1.0, yy=1.0, zz=1.0),
    tip=parameter.emptyTipString)],
    fields=[problem.Temperature], fluxes=[problem.Heat_Flux],
    propertyType="ThermalConductivity",
    tip="Orthorhombic thermal conductivity.")

## TETRAGONAL

PropertyRegistration(
    'Thermal:Conductivity:Anisotropic:Tetragonal',
    AnisoHeatConductivityProp,
    "ooflib.SWIG.engine.property.heatconductivity.heatconductivity",101,
    [symmmatrix.TetragonalRank2TensorParameter(
    'kappa',
    symmmatrix.TetragonalRank2Tensor(xx=1.0, zz=0.5),
    tip=parameter.emptyTipString)],
    fields=[problem.Temperature], fluxes=[problem.Heat_Flux],
    propertyType="ThermalConductivity",
    tip="Tetragonal thermal conductivity.")

## TRIGONAL

PropertyRegistration(
    'Thermal:Conductivity:Anisotropic:Trigonal',
    AnisoHeatConductivityProp,
    "ooflib.SWIG.engine.property.heatconductivity.heatconductivity",102,
    [symmmatrix.TrigonalRank2TensorParameter(
    'kappa',
    symmmatrix.TrigonalRank2Tensor(xx=1.0, zz=0.5),
    tip=parameter.emptyTipString)],
    fields=[problem.Temperature], fluxes=[problem.Heat_Flux],
    propertyType="ThermalConductivity",
    tip="Trigonal thermal conductivity.")

## HEXAGONAL

PropertyRegistration(
    'Thermal:Conductivity:Anisotropic:Hexagonal',
    AnisoHeatConductivityProp,
    "ooflib.SWIG.engine.property.heatconductivity.heatconductivity",100,
    [symmmatrix.HexagonalRank2TensorParameter(
    'kappa',
    symmmatrix.HexagonalRank2Tensor(xx=1.0, zz=0.5),
    tip=parameter.emptyTipString)],
    fields=[problem.Temperature], fluxes=[problem.Heat_Flux],
    propertyType="ThermalConductivity",
    tip="Hexagonal thermal conductivity.")

## CUBIC

PropertyRegistration(
    'Thermal:Conductivity:Anisotropic:Cubic',
    AnisoHeatConductivityProp,
    "ooflib.SWIG.engine.property.heatconductivity.heatconductivity",99,
    [symmmatrix.CubicRank2TensorParameter(
    'kappa',
    symmmatrix.CubicRank2Tensor(xx=1.0),
    tip=parameter.emptyTipString)],
    fields=[problem.Temperature], fluxes=[problem.Heat_Flux],
    propertyType="ThermalConductivity",
    tip="Cubic thermal conductivity.")


## Thermal BODY forces (sorry Andrew...)

PropertyRegistration(
    'Thermal:HeatSource', HeatSourceProp,
    "ooflib.SWIG.engine.property.heatconductivity.heatconductivity",150,
    [parameter.FloatParameter('rate', 0.0, tip="Rate of energy increase.")],
    fluxes=[problem.Heat_Flux],
    propertyType="HeatSource",
    tip="A source or sink of heat flux.")

