// -*- C++ -*-
// $RCSfile: recoveredflux.h,v $
// $Revision: 1.4 $
// $Author: langer $
// $Date: 2008-01-16 17:07:30 $


/* This software was produced by NIST, an agency of the U.S. government,
 * and by statute is not subject to copyright in the United States.
 * Recipients of this software assume all responsibilities associated
 * with its operation, modification and maintenance. However, to
 * facilitate maintenance we ask that before distributing modified
 * versions of this software, you first contact the authors at
 * oof_manager@ctcms.nist.gov. 
 */

#include <oofconfig.h>

#ifndef RECOVEREDFLUX_H
#define RECOVEREDFLUX_H

#include "engine/outputval.h"
#include "engine/matvec.h"
#include <vector>


//=\\=//=\\=//=\\=//=\\=//=\\=//=\\=//=\\=//=\\=//=\\=//=\\=//=\\=//

class RecoveredFlux {
private:
  VECTOR_D fvalue;
  int nfv;
public:
  RecoveredFlux(const VECTOR_D*);
  const VECTOR_D &get_flux_value() { return fvalue; };
  void average(const VECTOR_D*);
};

#endif // RECOVEREDFLUX
