# -*- python -*-
# $RCSfile: orientmapmenuGUI.py,v $
# $Revision: 1.2 $
# $Author: vrc $
# $Date: 2007-09-26 22:03:32 $

# This software was produced by NIST, an agency of the U.S. government,
# and by statute is not subject to copyright in the United States.
# Recipients of this software assume all responsibilities associated
# with its operation, modification and maintenance. However, to
# facilitate maintenance we ask that before distributing modified
# versions of this software, you first contact the authors at
# oof_manager@ctcms.nist.gov. 

# Add gui callback(s) to OrientationMap menu item(s).

from ooflib.orientationmap import orientmapmenu
           # makes OOF.File.Load.OrientationMap
from ooflib.common.IO import mainmenu
from ooflib.common.IO.GUI import fileselector

def _loadOrientationMap(menuitem):
    file = fileselector.fileSelector(#ident='FileMenu',
                                     title='Load Orientation Map',
                                     mode='r',
                                     params=[menuitem.get_arg('format'),
                                             menuitem.get_arg('microstructure')]
                                     )
    if file is not None:
        menuitem.callWithDefaults(filename=file)
    
mainmenu.OOF.File.Load.OrientationMap.add_gui_callback(_loadOrientationMap)
mainmenu.OOF.OrientationMap.Load.add_gui_callback(_loadOrientationMap)
